import type { GetServerSideProps, NextPage } from 'next'
import Head from 'next/head'
import { PictureList } from '../components/PictureList'
import { signIn, signOut, useSession } from "next-auth/react";
import styles from '../styles/Home.module.css'
import { fetchPictures } from '../picture-service';


const Home: NextPage<any> = ({ pictures }) => {

  const { data: session } = useSession()
  const user = session?.user as any;

  return (
    <div className={styles.container}>
      <Head>
        <title>Le titre de la page actuelle</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      {session &&
        <p>you are logged in as {user.username} <button onClick={() => signOut()}>Logout</button></p>
      }
      {session &&
        <p>your token is {session.accessToken}</p>
      }

      {!session &&
        <button onClick={() => signIn()}>Login</button>
      }
      <PictureList list={pictures} />
    </div>
  )
}

export default Home


export const getServerSideProps: GetServerSideProps = async () => {


  return {
    props: {
      pictures: await fetchPictures(),
    }
  }
}
